Package org.codehaus.groovy.groovydoc

# Interface GroovyMethodDoc

All Superinterfaces:
  `Comparable`, `GroovyDoc`, `GroovyExecutableMemberDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

All Known Implementing Classes:
  `SimpleGroovyMethodDoc`

public interface GroovyMethodDoc extends GroovyExecutableMemberDoc

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAbstract()`
`GroovyClassDoc`
`overriddenClass()`
`GroovyMethodDoc`
`overriddenMethod()`
`GroovyType`
`overriddenType()`
`boolean`
`overrides(GroovyMethodDoc arg0)`
`GroovyType`
`returnType()`
`void`
`setReturnType(GroovyType o)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc

`flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptions, thrownExceptionTypes`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

`isSynthetic`

### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

`annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

## Method Details

### isAbstract

boolean isAbstract()

### overriddenClass

GroovyClassDoc overriddenClass()

### overriddenMethod

GroovyMethodDoc overriddenMethod()

### overriddenType

GroovyType overriddenType()

### overrides

boolean overrides(GroovyMethodDoc arg0)

### returnType

GroovyType returnType()

### setReturnType

void setReturnType(GroovyType o)